## unp 2.0~pre4

=== po/Makefile ===
# For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
POFILES = de.po 
MOFILES = de.mo
localedir=/usr/share/locale
.SUFFIXES: .po .mo

all: $(MOFILES)
messages.pot: ../unp
	xgettext -L perl ../unp -o $@
.po.mo:
	msgfmt $*.po -o $@
	msgfmt --statistics $*.po
$(POFILES): messages.pot
	msgmerge -U $@ messages.pot
clean: $(POFILES)
	rm -f *~ *.mo
install: $(MOFILES)
	for mo in $(MOFILES); do \
		lang=$$(basename $$mo .mo); \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  install -d $(DESTDIR)$$dir; \
	  install -m 644 $$lang.mo $(DESTDIR)$$dir/unp.mo; \
	done

.PHONY: $(POFILES)

## unp 1.0.5-5

=== debian/changelog ===
unp (1.0.5-5) unstable; urgency=low

  * replaced == with eq, my Perl knowledge is going lost, Closes: #127907
  * fixed dependencies on packers on different architectures

 -- Eduard Bloch <blade@debian.org>  Sat,  5 Jan 2002 15:34:38 +0100

unp (1.0.5-4) unstable; urgency=low

  * README.Debian update, unace link
  * removed debuging print line from alternativ command call

 -- Eduard Bloch <blade@debian.org>  Sat, 22 Dec 2001 22:31:12 +0100

unp (1.0.5-3) unstable; urgency=low

  * fixed typo, resolving build problem on hppa

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Oct 2001 00:14:42 +0200

unp (1.0.5-2) unstable; urgency=low

  * different Depends for hppa/ia64/others because of missing extractors. Why
    did they never complain before?
  * changed Arch to any, see above
  * moved to non-US/contrib since there is no unzip in main

 -- Eduard Bloch <blade@debian.org>  Thu,  4 Oct 2001 10:31:28 +0200

unp (1.0.5-1) unstable; urgency=low

  * hqx(binhex) support
  * fixed the old line on filetype=executable
  * cosmetical changes to appease lintian

 -- Eduard Bloch <blade@debian.org>  Mon,  1 Oct 2001 16:13:14 +0200

unp (1.0.4-1) unstable; urgency=low

  * removed -v from cabextract, making it work now
  * removed *ace stuff from control, closes: #108514

 -- Eduard Bloch <blade@debian.org>  Fri,  7 Sep 2001 09:58:52 +0200

unp (1.0.3-1) unstable; urgency=low

  * New version, support for tnef, uu and mime.

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Jul 2001 23:02:17 +0200

unp (1.0.2-1) unstable; urgency=low

  * new version, supports CAB and ACE
  * more intelligent -u option

 -- Eduard Bloch <blade@debian.org>  Sun, 24 Jun 2001 13:15:17 +0200

unp (1.0.1-4) unstable; urgency=low

  * cosmetical changes: dependency on perl, Build-Depends. Works on Potato now

 -- Eduard Bloch <blade@debian.org>  Tue,  6 Mar 2001 09:17:00 +0100

unp (1.0.1-3) unstable; urgency=low

  * changed section to contrib/utils
  * now Depends: on all backends

 -- Eduard Bloch <blade@debian.org>  Tue, 27 Feb 2001 01:37:58 +0100

unp (1.0.1-2) unstable; urgency=low

  * changed distribution tree to unstable

 -- Eduard Bloch <blade@debian.org>  Fri, 23 Feb 2001 20:41:11 +0100

unp (1.0.1-1) stable; urgency=low

  * Cosmetical fix. Packaging for main now.

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Feb 2001 10:39:18 +0100

unp (1.0.0-1) stable; urgency=low

  * New upstream release. Does anyone want this for the main distribution?

 -- Eduard Bloch <edi@ka.linux.de>  Sun,  4 Jun 2000 15:17:11 +0200

unp (0.0.1-1) unstable; urgency=low

  * Initial Release. Does anyone want this for the main distribution?

 -- Eduard Bloch <edi@ka.linux.de>  Thu,  9 Mar 2000 23:43:13 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: unp
Section: non-US/contrib
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 3.5.2
Build-Depends: debhelper (>= 3.0.45)

Package: unp
Architecture: any
Depends: perl5-base | perl-base (>= 5.004.04), rpm, cpio, bzip2, sharutils, cabextract, tnef, mpack, procmail, macutils, ${arch:packer}
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files
 a bit easier. It support several compressors and archiver programs,
 chooses the right one(s) automatically and extracts one or more files
 in one go.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

#ifeq ($(DEB_HOST_GNU_CPU), hppa)
#ARCHPACKER=unzip | unzip-crypt
#endif
#ifeq ($(DEB_HOST_GNU_CPU), ia64)
## dummy entry, don't confuse dpkg-dev
#ARCHPACKER=
#endif
#ifeq ($(shell dpkg-architecture -qDEB_HOST_GNU_CPU),i386)
#ARCHPACKER="lha, unarj, unzip | unzip-crypt"
#endif
#ifeq ($(DEB_HOST_GNU_CPU), i386)
#asdfasdfasdf
#ARCHPACKER=lha, unarj, unzip | unzip-crypt
#endif

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf `pwd`/debian/tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	mkdir -p `pwd`/debian/tmp/usr/bin
	cp -a unp `pwd`/debian/tmp/usr/bin/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	sh debian/myvars.sh
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_installmanpages
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol -u-Tdebian/myvars
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## unp 1.0.9

=== debian/changelog ===
unp (1.0.9) unstable; urgency=low

  * Help message to install the needed decompressor
  * Striped-down version (ucat) to work as zcat/bzcat/... wrapper
   (closes: #188556)
  * adjusting package Priority
  * moved ppmd to Suggests

 -- Eduard Bloch <blade@debian.org>  Sat, 10 Jan 2004 17:12:24 +0100

unp (1.0.8) unstable; urgency=low

  * Fix documentation, closes: #183374
  * Replaced umlauts with ascii equivalents in german help output

 -- Eduard Bloch <blade@debian.org>  Thu,  6 Mar 2003 16:05:17 +0100

unp (1.0.7) unstable; urgency=low

  * changed dependency on arj, closes: #182274
  * new packer: ppmd. Gzip-like archive handling will be added later.
  * afio and lzop support

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Feb 2003 16:10:22 +0100

unp (1.0.6) unstable; urgency=low

  * going back to main, back to Arch:all, suggesting lha and and unarj only
  * unzoo support
  * fixed separated unpacking, thanks to Markus Hubig <mhubig@web.de>

 -- Eduard Bloch <blade@debian.org>  Sat,  7 Sep 2002 10:33:35 +0200

=== debian/control ===
Source: unp
Section: utils
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 3.0.45)

Package: unp
Architecture: all
Suggests: lha, ppmd
Depends: rpm, cpio, afio, bzip2, sharutils, cabextract, tnef, mpack, procmail, macutils, unzoo, unzip, arj | unarj, lzop
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files
 a bit easier. It support several compressors and archiver programs,
 chooses the right one(s) automatically and extracts one or more files
 in one go.
 .
 You may also want to install some non-free packages like "unace" (not in
 Debian) and "lha" to extract archives of these types.

## unp 1.0.10

=== debian/changelog ===
unp (1.0.10) unstable; urgency=low

  * Implemented detection for unarchiv programs and automatic requests to
    install the appropriate packages. Removed the sticky package Depends:
    on them, kept only Recommends: bzip2 (closes: #242289)

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Jul 2004 23:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 Package: unp
 Architecture: all
-Suggests: lha, ppmd
-Depends: rpm, cpio, afio, bzip2, sharutils, cabextract, tnef, mpack, procmail, macutils, unzoo, unzip, arj | unarj, lzop
+Recommends: bzip2
 Description: unpack (almost) everything with one command
  unp is a small perl script which makes extraction of any archive files
  a bit easier. It support several compressors and archiver programs,

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 	# Add here commands to install the package into debian/tmp.
 	mkdir -p `pwd`/debian/tmp/usr/bin
-	cp -a unp `pwd`/debian/tmp/usr/bin/
+	install -m755 ucat unp `pwd`/debian/tmp/usr/bin/
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -50,18 +50,20 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	sh debian/myvars.sh
+#	sh debian/myvars.sh
 	dh_testdir
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs 
-	dh_installmanpages
+	dh_installman debian/unp.1
 	dh_compress
+	ln -sf unp.1.gz debian/tmp/usr/share/man/man1/ucat.1.gz
 	dh_fixperms
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
-	dh_gencontrol -u-Tdebian/myvars
+	dh_gencontrol
+#	dh_gencontrol -u-Tdebian/myvars
 	dh_md5sums
 	dh_builddeb

## unp 1.0.11

=== debian/changelog ===
unp (1.0.11) testing-proposed-updates; urgency=high

  * Removed an old workaround which caused an infinite loop on certain cpio
    archives, leading straight to OOM condition

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Mar 2007 02:56:19 +0100

## unp 1.0.12

=== debian/changelog ===
unp (1.0.12) unstable; urgency=medium

  * Upload to Sid

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Mar 2007 22:38:16 +0100

## unp 1.0.14

=== debian/changelog ===
unp (1.0.14) unstable; urgency=low

  * Stop using libstring-shellquote-perl, it breaks things (closes: #457134)
  * Code review and rewrite of potentially dangerous methods, using
    environment variables and shell arguments to pass the variables
    to called commands (now really closes: #448437)
  * Debian packaging cleanup

 -- Eduard Bloch <blade@debian.org>  Tue, 25 Dec 2007 00:51:13 +0100

unp (1.0.13) unstable; urgency=low

  * Security fix: proper quoting of some commands using
    libstring-shellquote-perl (closes: #448437)

 -- Eduard Bloch <blade@debian.org>  Sat, 15 Dec 2007 14:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 3.0.45)
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5.0)
 
 Package: unp
 Architecture: all

## unp 1.0.15

=== debian/changelog ===
unp (1.0.15) unstable; urgency=medium

  * extended previous fix of 448437, reapplying corrections after alternative
    detection of the filetype (closes: #448437). Also fixed ucat.
  * filtering file's output to not stumble over stuff in input filenames
  * disabled macunpack support, needs serious fixing (deferred)
  * typo fixes ("unarchive", closes: #339695), manpage usage chapter
    (closes: #355832)
  * added reference to unrar-free package in user hints (that's enough
    "support", the unrar command is provided via alternatives; closes: #357933)
  * Added new file formats (7z, jar, war, ear, adf), based on a patch by
    Philippe Coval (closes: #318338)
  * updated package description (closes: #466824)
  * added -av- to rar/unrar options (closes: #460159)
  * debian/copyright file update

 -- Eduard Bloch <blade@debian.org>  Sat, 17 May 2008 23:37:43 +0200

=== debian/control ===
Source: unp
Section: utils
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0)

Package: unp
Architecture: all
Suggests: bzip2, unrar | unrar-free, archmage, xdms, 7z, unzip, cabextract, orange
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files
 a bit easier. It support several compressors and archiver programs,
 chooses the right one(s) automatically and extracts one or more files
 in one go.
 .
 You may also want to install some non-free packages like "unace-nonfree",
 "unrar-nonfree" and "lha" to extract archives of these types.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf `pwd`/debian/tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p `pwd`/debian/unp/usr/bin
	install -m755 ucat unp `pwd`/debian/unp/usr/bin/

binary-arch: build install

binary-indep: build install
#	sh debian/myvars.sh
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_installman debian/unp.1
	dh_compress
	ln -sf unp.1.gz debian/unp/usr/share/man/man1/ucat.1.gz
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
#	dh_gencontrol -u-Tdebian/myvars
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## unp 2.0~pre4

=== debian/changelog ===
unp (2.0~pre4) unstable; urgency=low

  * Fix replacing of source filename in u/U mode with source outside of
    current directory

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jun 2010 03:46:11 +0200

unp (2.0~pre3) unstable; urgency=low

  * improved handling of return code, also making sure that it never becomes
    zero through 8-bit int overflow (closes: #584527)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Jun 2010 00:16:59 +0200

unp (2.0~pre2) unstable; urgency=low

  * Mbox/Mime unpacking fixed, -u mode misbehaviour in some cases fixed,
    special .deb mode implemented, usage text improved, verbosity printing
    implemented, ucat implemented as special mode of unp (multicall use),
    usage info improval

 -- Eduard Bloch <blade@debian.org>  Fri, 04 Jun 2010 20:58:33 +0200

unp (2.0~pre1) experimental; urgency=low

  * New preview version, rewrite from scratch
  * Suggesting p7zip or p7zip-full (closes: #512582)
  * lzma support, based on patches and suggestions from by Daniel Serpell,
    Hanno Böck, Vincent Lefevre (thanks, closes: #492369)
  * ucat: new option "-f" to force output even if uncompressed data or
    "unknown" format was identified
  * added bash_completion.d file (closes: #270166)
  * new option, -U: smart moving of extracted results, i.e. when only one
    file/directory is created, it's moved to the starting directory but
    multiple files stay in a subdir (closes: #504777)

 -- Eduard Bloch <blade@debian.org>  Mon, 31 May 2010 01:03:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5.0)
 
 Package: unp
 Architecture: all
-Suggests: bzip2, unrar | unrar-free, archmage, xdms, 7z, unzip, cabextract, orange
+Depends: ${misc:Depends}
+Suggests: bzip2, unrar | unrar-free, xdms, p7zip | p7zip-full, unzip, cabextract, orange
 Description: unpack (almost) everything with one command
  unp is a small perl script which makes extraction of any archive files
  a bit easier. It support several compressors and archiver programs,

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,11 @@
 	dh_clean -k
 	dh_installdirs
 
-	mkdir -p `pwd`/debian/unp/usr/bin
-	install -m755 ucat unp `pwd`/debian/unp/usr/bin/
+	mkdir -p debian/unp/usr/bin debian/unp/etc
+	install -m755 unp debian/unp/usr/bin/
+	ln -sf unp debian/unp/usr/bin/ucat
+	cp -a bash_completion.d debian/unp/etc
+	cd po && $(MAKE) install "DESTDIR=$(CURDIR)/debian/unp"
 
 binary-arch: build install

## unp 2.0~pre5

=== debian/changelog ===
unp (2.0~pre5) unstable; urgency=low

  * consider alternative letter case in magic strings
  * read magic info from actual data when file is a symlink
  * added xz-utils as alternative if lzma package is not installed
  * added French translation from Thomas Blein (closes: #595689) plus
    extra translations for new strings (by myself)

 -- Eduard Bloch <blade@debian.org>  Mon, 06 Sep 2010 21:29:25 +0200

## unp 2.0~pre7

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
-POFILES = de.po 
-MOFILES = de.mo
+POFILES = de.po fr.po
+MOFILES = de.mo fr.mo
 localedir=/usr/share/locale
 .SUFFIXES: .po .mo

=== debian/changelog ===
unp (2.0~pre7) unstable; urgency=low

  * Added plain .lz support
  * Fixed RPM extracting call

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Mar 2011 21:08:19 +0100

unp (2.0~pre6) unstable; urgency=low

  * added .xz, .tar, .lzma to bash_completion file
  * better readable flags in the tool table
  * internal refactoring, ucat no longer relies on magic data only

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Mar 2011 17:05:37 +0100

## unp 2.0~pre7+nmu1

=== debian/changelog ===
unp (2.0~pre7+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated French translation by Thomas Blein (closes: #620300).
  * New Italian translation by Beatrice Torracca (closes: #672655).
  * New Portuguese translation by Pedro Ribeiro (closes: #672691).
  * New Czech translation by Michal Simunek (closes: #673134).
  * Add 7z file extension in bash_completion, thanks to Petr Vorel
    (closes: #631074).

 -- David Prévot <taffit@debian.org>  Wed, 16 May 2012 15:52:35 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5.0)
 
 Package: unp

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,8 @@
 	dh_gencontrol
 #	dh_gencontrol -u-Tdebian/myvars
 	dh_md5sums
-	dh_builddeb
+#	dh_builddeb -v -- -Zxz -z9
+	dh_builddeb -v
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## unp 2.0~pre7+nmu1+8.0trisquel1

=== debian/changelog ===
unp (2.0~pre7+nmu1+8.0trisquel1) flidas; urgency=medium

  * Description changed     Closes #2076

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 Mar 2017 20:23:57 +0000

## unp 2.0~pre7+nmu1+9.0trisquel1

=== debian/changelog ===
unp (2.0~pre7+nmu1+9.0trisquel1) etiona; urgency=medium

  * Description changed     Closes #2076

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 01:02:38 +0000

=== debian/control ===
--- 
+++ 
@@ -15,5 +15,5 @@
  chooses the right one(s) automatically and extracts one or more files
  in one go.
  .
- You may also want to install some non-free packages like "unace-nonfree",
- "unrar-nonfree" and "lha" to extract archives of these types.
+ 
+

## unp 2.0~pre7+nmu1+10.0trisquel1

=== debian/changelog ===
unp (2.0~pre7+nmu1+10.0trisquel1) nabia; urgency=medium

  * Description changed     Closes #2076

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 18:42:03 +0000

## unp 2.0~pre7+nmu2

=== debian/changelog ===
unp (2.0~pre7+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:06:21 +0800

## unp 2.0~pre8

=== debian/changelog ===
unp (2.0~pre8) unstable; urgency=low

  * New version
  * Change lha package reference to lhasa (closes: #691460)
  * Drop have precondition in bash_completion (closes: #766314)
  * Added dependency on perl-modules (closes: #690316)
  * Update DH standard to 13 (closes: #965859)
  * Converting documentation to UTF-8

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Jul 2020 22:21:27 +0200

=== debian/control ===
Source: unp
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>= 13.0), 
 bash-completion (>= 1:2.1-4.2~),

Package: unp
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: bzip2, unrar | unrar-free, xdms, p7zip | p7zip-full, unzip, cabextract, orange
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files
 a bit easier. It support several compressors and archiver programs,
 chooses the right one(s) automatically and extracts one or more files
 in one go.
 .
 You may also want to install some non-free packages like "unace-nonfree",
 "unrar-nonfree" and "lhasa" to extract archives of these types.

## unp 2.0~pre9

=== debian/changelog ===
unp (2.0~pre9) unstable; urgency=medium

  * Reupload as source-only (closes: #966513)
  * Stop mentioning explicit non-free package names in the description
    (closes: #965937) and actually fix support of lhasa alternative.

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Aug 2020 19:33:12 +0200

=== debian/control ===
Source: unp
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>= 13.0), 
 bash-completion (>= 1:2.1-4.2~),

Package: unp
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: bzip2, unrar | unrar-free, xdms, p7zip | p7zip-full, lhasa, unzip, cabextract, orange
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files a bit
 easier. It support several compressors and archiver programs, chooses the
 right one(s) automatically and extracts one or more files in one go.
 .
 It might require additional packages to support proprietary archive types like
 "lha", "ace", "rar" (certain versions).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with bash-completion

override_dh_install:
	dh_installdirs
	mkdir -p debian/unp/usr/bin debian/unp/etc
	install -m755 unp debian/unp/usr/bin/
	ln -sf unp debian/unp/usr/bin/ucat
	$(MAKE) -C po install "DESTDIR=$(CURDIR)/debian/unp"
	dh_installman debian/unp.1
	dh_compress
	ln -sf unp.1.gz debian/unp/usr/share/man/man1/ucat.1.gz

override_dh_clean:
	dh_clean
	rm -f po/*.mo

## unp 2.0~pre9+11.0trisquel1

=== debian/changelog ===
unp (2.0~pre9+11.0trisquel1) aramo; urgency=medium

  * Description changed     Closes #2076

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Jun 2022 22:04:56 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,3 @@
  unp is a small perl script which makes extraction of any archive files a bit
  easier. It support several compressors and archiver programs, chooses the
  right one(s) automatically and extracts one or more files in one go.
- .
- It might require additional packages to support proprietary archive types like
- "lha", "ace", "rar" (certain versions).

## unp 2.0~pre10

=== Makefile ===
FPR=cat | md5sum | cut -c1-32
REF=$(shell perl ./ucat test/sample.a | $(FPR))

test:
	test $(REF) = `./ucat test/sample.b | $(FPR)`
	test $(REF) = `./ucat test/sample.c | $(FPR)`
	test $(REF) = `./ucat test/sample.d | $(FPR)`
	test $(REF) = `./ucat test/sample.e | $(FPR)`
	test $(REF) = `./ucat test/sample.f | $(FPR)`

.PHONY: test

=== debian/changelog ===
unp (2.0~pre10) unstable; urgency=low

  * debian/control: Added Salsa Git URLs
  * Killing the obsolete bash_completion conffile using
    dpkg-maintscript-helper (closes: #988165)
  * Dropping orange support (package removed long ago, partly replaced by 7z)
  * ISO image unpacking with 7z
  * Zstd support (closes: #983443)
  * Supporting InnoSetup
  * Supporting Nullsoft Installer self-extracting archives and probably other
    7zip based executables
  * Experimental bzip3 support
  * Updated help output to report version and use proper GNU style format,
    using help2man to generate the manpage and update the manpages at build
    time (added help2man to build-deps; Salsa issue
    https://salsa.debian.org/blade/unp/-/issues/1)

 -- Eduard Bloch <blade@debian.org>  Sun, 01 Jan 2023 12:16:51 +0100

=== debian/control ===
Source: unp
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>= 13.0), bash-completion (>= 1:2.1-4.2~), help2man
Vcs-Browser: https://salsa.debian.org/blade/unp
Vcs-Git: https://salsa.debian.org/blade/unp.git -b debian/unstable

Package: unp
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Suggests: bzip2, xz-utils, p7zip | p7zip-full, unzip, unrar | unrar-free, cabextract, innoextract
Description: unpack (almost) everything with one command
 unp is a small perl script which makes extraction of any archive files a bit
 easier. It support several compressors and archiver programs, chooses the
 right one(s) automatically and extracts one or more files in one go.
 .
 It might require additional packages to support proprietary archive types like
 "lha", "ace", "rar" (certain versions).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with bash-completion

override_dh_auto_test:
	true

override_dh_auto_build:
	echo Not building, the Makefile is only for optional tests.

override_dh_install:
	dh_installdirs
	mkdir -p debian/unp/usr/bin debian/unp/etc
	install -m755 unp debian/unp/usr/bin/
	ln -sf unp debian/unp/usr/bin/ucat
	$(MAKE) -C po install "DESTDIR=$(CURDIR)/debian/unp"
	mkdir -p debian/unp/usr/share/man/man1
	help2man -n "unpack everything" --no-info ./unp > debian/unp/usr/share/man/man1/unp.1
	help2man -n "unpack everything to standard output" --no-info ./ucat > debian/unp/usr/share/man/man1/ucat.1
	dh_fixperms
	dh_compress

override_dh_clean:
	dh_clean
	rm -f po/*.mo

## unp 2.0

=== Makefile ===
FPR=cat | md5sum | cut -c1-32
REF=$(shell perl ./ucat test/sample_a | $(FPR))

all: i18n test

test:
	test $(REF) = `./ucat test/sample_b | $(FPR)`
	test $(REF) = `./ucat test/sample_c | $(FPR)`
	test $(REF) = `./ucat test/sample_d | $(FPR)`
	test $(REF) = `./ucat test/sample_e | $(FPR)`
	test $(REF) = `./ucat test/sample_f | $(FPR)`

i18n:
	make -C po

.PHONY: test

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
-POFILES = de.po fr.po
-MOFILES = de.mo fr.mo
+POFILES = cs.po de.po fr.po it.po pt.po
+MOFILES = cs.mo de.mo fr.mo it.mo pt.mo
 localedir=/usr/share/locale
 .SUFFIXES: .po .mo

=== debian/changelog ===
unp (2.0) unstable; urgency=low

  * test/sample*: renamed test inputs to work around delivery issues
  * Experimental support of InstallShield style MS Cabinet files, via unshield
  * Use of 7zip as alternative unpacker for many formats and as unpacker for
    file system images
  * Fixed .cbr extension listed in ZIP format (moved to RAR file types,
    closes: #1052423)
  * Generating bash-completion file at build time via the script itself, now
    including xapk in the completion options (closes: #1036973)
  * transition to 7zip as default recommendation (closes: #1063619)
  * added --dry-run mode (closes: #878397)

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Feb 2024 18:44:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: unp
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
-Suggests: bzip2, xz-utils, p7zip | p7zip-full, unzip, unrar | unrar-free, cabextract, innoextract
+Suggests: bzip2, xz-utils, 7zip, unzip, unrar | unrar-free, cabextract, innoextract
 Description: unpack (almost) everything with one command
  unp is a small perl script which makes extraction of any archive files a bit
  easier. It support several compressors and archiver programs, chooses the

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 %:
+	perl unp --format-bc > debian/unp.bash-completion
 	dh $@ --with bash-completion
 
 override_dh_auto_test:
 	true
 
 override_dh_auto_build:
-	echo Not building, the Makefile is only for optional tests.
+	echo Not building, that Makefile runs optional tests.
 
 override_dh_install:
 	dh_installdirs

## unp 2.0build1

=== debian/changelog ===
unp (2.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 16:36:25 +0000

## unp 2.0trisquel1

=== debian/changelog ===
unp (2.0trisquel1) ecne; urgency=medium

  * Description changed     Closes #2076

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:47:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unp
 Section: utils
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Standards-Version: 4.5.0.2
 Build-Depends: debhelper (>= 13.0), bash-completion (>= 1:2.1-4.2~), help2man
 Vcs-Browser: https://salsa.debian.org/blade/unp
@@ -15,6 +15,3 @@
  unp is a small perl script which makes extraction of any archive files a bit
  easier. It support several compressors and archiver programs, chooses the
  right one(s) automatically and extracts one or more files in one go.
- .
- It might require additional packages to support proprietary archive types like
- "lha", "ace", "rar" (certain versions).
